NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.Mechatronics.ChainJointBuilder Class Reference

Represents a NXOpen.Mechatronics.ChainJointBuilder . More...

Inheritance diagram for NXOpen.Mechatronics.ChainJointBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe NXOpen.Point AnchorPointSecond [get, set]
 Returns or sets the second anchor point. More...
 
unsafe NXOpen.Expression AngularLowerLimit [get]
 Returns the angular lower limit. More...
 
unsafe NXOpen.Expression AngularUpperLimit [get]
 Returns the angular upper limit. More...
 
unsafe NXOpen.Point BaseAnchorPoint [get, set]
 Returns or sets the anchor point. More...
 
unsafe NXOpen.Direction BaseAxisVector [get, set]
 Returns or sets the axis vector. More...
 
unsafe bool EnableAngularLowerLimit [get, set]
 Returns or sets the angular lower limit option. More...
 
unsafe bool EnableAngularUpperLimit [get, set]
 Returns or sets the angular upper limit option. More...
 
unsafe bool EnableSecondAnchor [get, set]
 Returns or sets the second anchor point option. More...
 
unsafe NXOpen.SelectNXObjectList Geometry [get]
 Returns the geometries. More...
 
unsafe string Name [get, set]
 Returns or sets the name. More...
 
unsafe NXOpen.Expression StartAngle [get]
 Returns the start angle. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a NXOpen.Mechatronics.ChainJointBuilder .

When Builder.Commit is called a null reference (Nothing in Visual Basic) will be returned.

To create a new instance of this class, use NXOpen.Mechatronics.PhysicsManager.CreateChainJointBuilder

Created in NX12.0.0

Property Documentation

unsafe NXOpen.Point NXOpen.Mechatronics.ChainJointBuilder.AnchorPointSecond
getset

Returns or sets the second anchor point.

Created in NX12.0.0

License requirements to get this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

License requirements to set this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe NXOpen.Expression NXOpen.Mechatronics.ChainJointBuilder.AngularLowerLimit
get

Returns the angular lower limit.

The lower limit setup for joint angular movement.

Created in NX12.0.0

License requirements: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe NXOpen.Expression NXOpen.Mechatronics.ChainJointBuilder.AngularUpperLimit
get

Returns the angular upper limit.

The upper limit setup for joint angular movement.

Created in NX12.0.0

License requirements: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe NXOpen.Point NXOpen.Mechatronics.ChainJointBuilder.BaseAnchorPoint
getset

Returns or sets the anchor point.

Created in NX12.0.0

License requirements to get this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

License requirements to set this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe NXOpen.Direction NXOpen.Mechatronics.ChainJointBuilder.BaseAxisVector
getset

Returns or sets the axis vector.

Created in NX12.0.0

License requirements to get this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

License requirements to set this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe bool NXOpen.Mechatronics.ChainJointBuilder.EnableAngularLowerLimit
getset

Returns or sets the angular lower limit option.

If the enable is true, then this joint will be applied the lower limit in angular direction.

Created in NX12.0.0

License requirements to get this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

License requirements to set this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe bool NXOpen.Mechatronics.ChainJointBuilder.EnableAngularUpperLimit
getset

Returns or sets the angular upper limit option.

If the enable is true, then this joint will be applied the upper limit in angular direction.

Created in NX12.0.0

License requirements to get this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

License requirements to set this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe bool NXOpen.Mechatronics.ChainJointBuilder.EnableSecondAnchor
getset

Returns or sets the second anchor point option.

Created in NX12.0.0

License requirements to get this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

License requirements to set this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe NXOpen.SelectNXObjectList NXOpen.Mechatronics.ChainJointBuilder.Geometry
get

Returns the geometries.

This can be a NXOpen.Assemblies.ComponentAssembly or NXOpen.Mechatronics.RigidBody

Created in NX12.0.0

License requirements: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe string NXOpen.Mechatronics.ChainJointBuilder.Name
getset

Returns or sets the name.

Created in NX12.0.0

License requirements to get this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

License requirements to set this property: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

unsafe NXOpen.Expression NXOpen.Mechatronics.ChainJointBuilder.StartAngle
get

Returns the start angle.

Created in NX12.0.0

License requirements: nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.